
; (SCCP*)
;
; An implementation of Skinny Client Control Protocol (SCCP)
;
; Sergio Chersovani (mlists@c-net.it)
; http://chan-sccp.belios.de
;

[general]
servername = Asterisk			; show this name on the device registration
keepalive = 60				; phone keep alive message evey 60 secs. Used to check the voicemail
debug = 1					; console debug level. 1 => 10
context = sccp
dateFormat = D.M.Y			; M-D-Y in any order. Use M/D/YA (for 12h format)
bindaddr = 0.0.0.0			; replace with the ip address of the asterisk server (RTP important param)
port = 2000					; listen on port 2000 (Skinny, default)
disallow=all				; First disallow all codecs
allow=alaw					; Allow codecs in order of preference
allow=ulaw					; 
firstdigittimeout = 16			; dialing timeout for the 1st digit 
digittimeout = 8				; more digits
;digittimeoutchar = #			; you can force the channel to dial with this char in the dialing state
autoanswer_ring_time = 1		; ringing time in seconds for the autoanswer, the default is 0
autoanswer_tone = 0x32			; autoanswer confirmation tone. For a complete list of tones: grep SKINNY_TONE sccp_protocol.h
						; not all the tones can be played in a connected state, so you have to try.
remotehangup_tone = 0x32		; passive hangup notification. 0 for none
transfer_tone = 0				; confirmation tone on transfer. Works only between SCCP devices
callwaiting_tone = 0x2d			; sets to 0 to disable the callwaiting tone
musicclass=default			; Sets the default music on hold class
language=en					; Default language setting
;accountcode=skinny			; accountcode to ease billing
deny=0.0.0.0/0.0.0.0			; Deny every address except for the only one allowed. 
permit=192.168.1.0/255.255.255.0	; Accept class C 192.168.1.0
						; You may have multiple rules for masking traffic.
						; Rules are processed from the first to the last.
						; This General rule is valid for all incoming connections. It's the 1st filter.

;localnet = 192.168.1.0/255.255.255.0 ; All RFC 1918 addresses are local networks
;externip = 1.2.3.4			; IP Address that we're going to notify in RTP media stream
;externhost = mydomain.dyndns.org   ; Hostname (if dynamic) that we're going to notify in RTP media stream
; externrefresh = 60			; expire time in seconds for the hostname (dns resolution)
dnd = on					; turn on the dnd softkey for all devices. Valid values are "off", "on" (busy signal), "reject" (busy signal), "silent" (ringer = silent)
rtptos = 184				; sets the default rtp packets TOS
echocancel = on				; sets the phone echocancel for all devices
silencesuppression = off		; sets the silence suppression for all devices
;callgroup=1,3-4				; We are in caller groups 1,3,4. Valid for all lines
;pickupgroup=1,3-5			; We can do call pick-p for call group 1,3,4,5. Valid for all lines
;amaflags = 				; Sets the default AMA flag code stored in the CDR record
trustphoneip = no				; The phone has a ip address. It could be private, so if the phone is behind NAT 
						; we don't have to trust the phone ip address, but the ip address of the connection
tos = 0x68					; call control packets tos (0x68 Assured forwarding)
;earlyrtp = none				; valid options: none, offhook, dial, ringout. default is none.
						; The audio strem will be open in the progress and connected state.
private = on				; permit the private function softkey
;mwilamp = on				; Set the MWI lamp style when MWI active to on, off, wink, flash or blink
;mwioncall = off				; Set the MWI on call.
;blindtransferindication = ring	; moh or ring. the blind transfer should ring the caller or just play music on hold
;protocolversion = 3			; skinny version protocol. Just for testing. 2 to 6
;cfwdall = off				; activate the callforward ALL stuff and softkeys
;cfwdbusy = off				; activate the callforward BUSY stuff and softkeys




[devices]

type        = 7905			; device type (see below)
autologin   = line79052,,line79052  ; lines list. You can add an empty line for an empty button (7960, 7970, 7940, 7920)
description = Phone7905			; internal description. Not important
;keepalive = 60                          ; set 0 to disable the keepalive check.
;tzoffset  = +2
transfer = on				; enable or disable the transfer capability. It does remove the transfer softkey
park = on					; take a look to the compile howto. Park stuff is not compiled by default
speeddial = 				; you can add an empty speedial if you want an empty button (7960, 7970, 7920)
speeddial = 1000,name			; speeddial number and name
cfwdall = off				; activate the callforward stuff and softkeys
cfwdbusy = off
dtmfmode = inband				; inband or outofband. outofband is the native cisco dtmf tone play.
						; Some phone model does not play dtmf tones while connected (bug?), so the default is inband
imageversion = P00405000700		; useful to upgrade old firmwares (the ones that do not load *.xml from the tftp server)
deny=0.0.0.0/0.0.0.0			; Same as general
permit=192.168.1.5/255.255.255.255	; This device can register only using this ip address
dnd = on					; turn on the dnd softkey for this device. Valid values are "off", "on" (busy signal), "reject" (busy signal), "silent" (ringer = silent)
trustphoneip = no				; The phone has a ip address. It could be private, so if the phone is behind NAT 
						; we don't have to trust the phone ip address, but the ip address of the connection
;earlyrtp = none				; valid options: none, offhook, dial, ringout. default is none.
						; The audio strem will be open in the progress and connected state.
private = on				; permit the private function softkey for this device
;mwilamp = on				; Set the MWI lamp style when MWI active to on, off, wink, flash or blink
;mwioncall = off				; Set the MWI on call.
device => SEP00119341E684		; device name SEP<MAC>

[lines]

id          = 1000			; future use
pin         = 1234			; future use
label       = 79051			; button line label (7960, 7970, 7940, 7920)
description = Line 79051		; top diplay description
context     = sccp
incominglimit = 2				; more than 1 incoming call = call waiting.
transfer = on				; per line transfer capability. on, off, 1, 0
mailbox = 1001				; voicemail.conf (syntax: vmbox[@context][:folder])
vmnum = 600					; speeddial for voicemail administration, just a number to dial
cid_name = 7905 CID			; caller id name
cid_num = 79051
trnsfvm = 1000				; extension to redirect the caller (e.g for voicemail)
secondary_dialtone_digits = 9		; digits for the secondary dialtone (max 9 digits)
secondary_dialtone_tone = 0x22	; outside dialtone
musicclass=default			; Sets the default music on hold class
language=en					; Default language setting
;accountcode=79501			; accountcode to ease billing
rtptos = 184				; sets the the rtp packets TOS for this line
echocancel = on				; sets the phone echocancel for this line
silencesuppression = off		; sets the silence suppression for this line
;callgroup=1,3-4				; We are in caller groups 1,3,4. Valid for this line
;pickupgroup=1,3-5			; We can do call pick-p for call group 1,3,4,5. Valid for this line
;amaflags = 				; Sets the default AMA flag code stored in the CDR record for this line
line => 79051

; phone types
;    12 -- Cisco IP Phone 12SP+ (or other 12 variants)
;    30 -- Cisco IP Phone 30VIP (or other 30 variants)
;  7902 -- Cisco IP Phone 7902G
;  7905 -- Cisco IP Phone 7905G
;  7910 -- Cisco IP Phone 7910
;  7912 -- Cisco IP Phone 7912G
;  7935 -- Cisco IP Conference Station 7935
;  7936 -- Cisco IP Conference Station 7936
;  7920 -- Cisco IP Wireless Phone 7920
;  7940 -- Cisco IP Phone 7940
;  7960 -- Cisco IP Phone 7960
;  7970 -- Cisco IP Phone 7970
;  7914 -- Cisco IP Phone 7960 with a 7914 addon
;   ata -- Cisco ATA-186 or Cisco ATA-188
;  kirk -- Kirk telecom ip phones
